Page MenuHomePhabricator

[betalabs] Cannot switch to VE in MinervaNeue
Closed, ResolvedPublic

Description

It could be a known issue already but I did not find a task filed for it.

  1. With Minerva skin enabled, go to any page and click on the pencil button - the editing mode will be the source mode. It's not possible to switch to VE.
  1. When clicking on Visual editor option, the popup informs that switching to VE is possible after saving which is not true.

  1. Enabling the "New wikitext mode" beta feature brings odd looking but working VE.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 31 2018, 8:28 PM
Etonkovidova renamed this task from [betalabs] to [betalabs] Cannot switch to VE in MinervaNeue .Jan 31 2018, 8:29 PM
Etonkovidova updated the task description. (Show Details)
Jdlrobson added a subscriber: Jdlrobson.

I don't know what's involved in this but it shouldn't be Minerva specific.

@Jdlrobson I checked Vector, MonoBook, and Modern - no Console errors and no problems to switch and use VE. I suspect that disabling VE was intentional, but then the documentation should be updated.

After re-testing, it seems that @Jdlrobson is right - only Structured Discussion pages display the warning and it's not specific to MinervaNeue skin. Sorry for the confusion.

However, the main issue - being not possible to switch to VE is still present. I've updated the task description and separated the warning issue into the task - T186174: [betalabs-minor] SD pages display warning: "Your skin is incompatible with VisualEditor."

The edit links in Minerva always load the MF editor for me, so seems like there are more fundamental issues to address before we can consider this bug.

Jdlrobson edited projects, added MinervaNeue (Tracking); removed MinervaNeue.
Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptJan 17 2020, 10:26 PM

The edit links in Minerva always load the MF editor for me, so seems like there are more fundamental issues to address before we can consider this bug.

VisualEditor on desktop Minerva should behave reasonably these days (T208102) and we've also improved much about how editor switching works (T128422). I'm pretty sure this should be resolved.

matmarex moved this task from Incoming to QA on the VisualEditor (Current work) board.
Jdlrobson closed this task as Resolved.Jan 28 2020, 12:59 AM
Jdlrobson claimed this task.

As someone who dogfoods Minerva on desktop despite it claiming it's not a supported browser it works relatively well. My only peeve with it is performance. With 2g which i often have the editors on both mobile and desktop load too slowly and prevent me from editing but this is an issue with Vector too.